<?php

namespace Packages\Product\Http\Controllers;

use App\Http\Controllers\Controller;
use Packages\Product\Models\Product;
use Illuminate\Http\Request;

class ProductController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

//  show  page product ************
    public function index()
    {

        $products = Product::orderBy('id', 'DESC')->paginate(20);

        return view('product::index', compact('products'));

    }

// page create products *****************
    public function create()
    {
        $products = Product::orderBy('id', 'DESC')->paginate(20);

        return view('product::product.create', compact('products'));

    }

// save products ******************

    public function store(Request $request)
    {

        // dd($request->all());
        $p = Product::create($request->all());


        $msg = 'ذخیره محصول با موفقیت انجام شد ';
        return redirect(route('products.index'))->with('success', $msg);
    }

    // edit page product

    public function edit(Product $product)
    {

        $products = Product::orderBy('id', 'DESC')->paginate(20);

        return view('product::product.edit', compact('products'));
    }

// update page product

    public function update(Request $request, Product $product)
    {
        try {
            $product->update($request->all());

        } catch (\Exception $exception) {
            switch ($exception->getCode()) {
                case 23000:
                    $msg = 'عنوان وارد شده تکراری است';
            }
            return redirect(route('products.index'))->with('warning', $msg);
        }
        $msg = 'ذخیره محصول با موفقیت انجام شد ';
        return redirect(route('products.index'))->with('success', $msg);
    }

    // delete products
    public function destroy(Product $product)
    {

        $product->delete();
        {
            return back();
        }
    }

    // status product ****************

    public function updatestatus(Product $product)
    {

        if ($product->status == 1) {
            $product->status = 0;
        } else {
            $product->status = 1;
        }
        $product->save();
        $msg = "ویرایش محصول با موفقیت انجام شد";
        return back()->with('success', $msg);


    }

    // type product  *******************************

    public function updatetype(Product $product)
    {
        //
        if ($product->type == 1) {
            $product->type = 0;
        } else {
            $product->type = 1;
        }
        $product->save();
        $msg = "ویرایش محصول با موفقیت انجام شد";
        return back()->with('success', $msg);
    }
}
